import { _decorator, AssetManager, assetManager, BufferAsset, Component, Node, Prefab, resources } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {
    start() {

    }
    onEnable(){
        assetManager.preloadAny({path:"prefab/Test"}, {type:Prefab, bundle: 'resources' },(finished: number, total: number, item: AssetManager.RequestItem) => {

        },(err: Error | null, data: AssetManager.RequestItem[])=>{
            console.log(err);
        })

        assetManager.loadAny({path:"prefab/Test"}, {type:Prefab, bundle: 'resources' }, (a,b)=>{
            console.log(a,b);
        });

        resources.preload("prefab/Test",(err,a)=>{
            console.log(err,a)
        })
        
        resources.load("prefab/Test",(err,a)=>{
            console.log(err,a);
        })
       

    }
    update(deltaTime: number) {
        
    }
}

